org.apache.felix.ipojo.extender.internal.queue.debug

## Class ReplayQueueEventProxy

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.queue.debug.ReplayQueueEventProxy

All Implemented Interfaces:
  QueueEventProxy, QueueListener

    public class ReplayQueueEventProxy
    extends java.lang.Object
    implements QueueEventProxy, QueueListener

User: guillaume Date: 02/10/13 Time: 10:51

### Constructor Summary

Constructors
Constructor and Description
`ReplayQueueEventProxy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addQueueListener(QueueListener listener)` Add a `QueueListener` that will be notified on events relative to the observed `QueueService`.
`void` `enlisted(JobInfo info)` Invoked when a job is just being enlisted (before processing).
`void` `executed(JobInfo info, java.lang.Object result)` Invoked when a job's execution is finished successfully.
`void` `failed(JobInfo info, java.lang.Throwable throwable)` Invoked when a job's execution is finished with error.
`void` `removeQueueListener(QueueListener listener)` Remove a `QueueListener` from the observed `QueueService`.
`void` `started(JobInfo info)` Invoked when a job's execution is just about to be started.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplayQueueEventProxy

    public ReplayQueueEventProxy()

### Method Detail

#### addQueueListener

    public void addQueueListener(QueueListener listener)

Description copied from interface: `QueueEventProxy`
Add a `QueueListener` that will be notified on events relative to the observed `QueueService`.

Specified by:
  `addQueueListener` in interface `QueueEventProxy`
Parameters:
  `listener` - added listener

#### removeQueueListener

    public void removeQueueListener(QueueListener listener)

Description copied from interface: `QueueEventProxy`
Remove a `QueueListener` from the observed `QueueService`.

Specified by:
  `removeQueueListener` in interface `QueueEventProxy`
Parameters:
  `listener` - removed listener

#### enlisted

    public void enlisted(JobInfo info)

Description copied from interface: `QueueListener`
Invoked when a job is just being enlisted (before processing). Only `JobInfo.getEnlistmentTime()` and `JobInfo.getWaitDuration()` provides meaningful values. Note that `waitDuration` value is re-evaluated at each call.

Specified by:
  `enlisted` in interface `QueueListener`
Parameters:
  `info` - The job being enlisted

#### started

    public void started(JobInfo info)

Description copied from interface: `QueueListener`
Invoked when a job's execution is just about to be started. Only `JobInfo.getEnlistmentTime()`, `JobInfo.getWaitDuration()`, `JobInfo.getStartTime()` and `JobInfo.getExecutionDuration()` provides meaningful values. Note that `executionDuration` value is re-evaluated at each call.

Specified by:
  `started` in interface `QueueListener`
Parameters:
  `info` - The job being started

#### executed

    public void executed(JobInfo info,
                         java.lang.Object result)

Description copied from interface: `QueueListener`
Invoked when a job's execution is finished successfully. Note the implementers should not retain any references to the provided `result` (memory leak).

Specified by:
  `executed` in interface `QueueListener`
Parameters:
  `info` - The executed job
  `result` - The job's result

#### failed

    public void failed(JobInfo info,
                       java.lang.Throwable throwable)

Description copied from interface: `QueueListener`
Invoked when a job's execution is finished with error. Note the implementers should not retain any references to the provided `throwable` (memory leak).

Specified by:
  `failed` in interface `QueueListener`
Parameters:
  `info` - The failed job
  `throwable` - The job's thrown exception